artprima_prometheus_metrics:
  namespace: app
  storage: '%env(PROMETHEUS_STORAGE_TYPE)%'

  ignored_routes:
    - prometheus_bundle_prometheus
    - _wdt
    - _profiler
    - app.swagger_ui

  # used to disable default application metrics
  disable_default_metrics: true

  # Recommended to disable default metrics from promphp/prometheus_client_php
  # see https://github.com/PromPHP/prometheus_client_php/issues/62
  disable_default_promphp_metrics: true

  # used to enable console metrics
  #enable_console_metrics: false

when@test:
  artprima_prometheus_metrics:
    storage: in_memory
